Package org.openoffice.da.comp.w2lcommon.helper

# Class MacroExpander

java.lang.Object
org.openoffice.da.comp.w2lcommon.helper.MacroExpander

public class MacroExpander extends Object

## Constructor Summary

Constructors
Constructor
Description
`MacroExpander(com.sun.star.uno.XComponentContext xContext)`
Convenience wrapper class for the UNO Macro Expander singleton

## Method Summary

Modifier and Type
Method
Description
`String`
`expandMacros(String s)`
Expand macros in a string

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MacroExpander

public MacroExpander(com.sun.star.uno.XComponentContext xContext)
Convenience wrapper class for the UNO Macro Expander singleton

Parameters:
  `xContext` - the UNO component context from which "theMacroExpander" can be created

## Method Details

### expandMacros

public String expandMacros(String s)
Expand macros in a string

Parameters:
  `s` - the string
Returns:
  the expanded string